package cn.bunny.pattern2.demo1;

import cn.bunny.pattern2.demo1.duck.AbstractDuck;
import cn.bunny.pattern2.demo1.duck.ModelDuck;
import cn.bunny.pattern2.demo1.duck.WoodDuck;

public class Main {
    public static void main(String[] args) {
        ModelDuck modelDuck = new ModelDuck();
        modelDuck.display();
        modelDuck.performFly();
        modelDuck.performQuack();
        modelDuck.swim();
        System.out.println("--------------------------------");

        AbstractDuck woodDuck = new WoodDuck();
        woodDuck.display();
        woodDuck.performFly();
        woodDuck.performQuack();
        woodDuck.swim();
    }
}
